using System.Runtime.InteropServices;

namespace Sharp.Augeas.Test
{
    [StructLayout(LayoutKind.Sequential)]
    public unsafe partial struct AugSettings {
     
        [MarshalAs(UnmanagedType.LPStr)] internal string root;
        [MarshalAs(UnmanagedType.LPStr)] internal string loadPath;

        public AugSettings(string _root, string _loadPath )
        {
            root = _root;
            loadPath = _loadPath;
        }

        public AugSettings()
        {
            root = "NIL";
            loadPath = "NIL";
        }
    };
}


