namespace Sharp.Augeas;

public class Argument : Node 
{

    public string Value;
    
    public bool SetValue(string newValue)
    {
        Value = newValue;
        return _augeas.SetNode(Path, newValue);
    }

    public Argument(Augeas augeas, string id, string path, string value) : base(augeas, path)
    {
        Id = id;
        Path = path;
        Value = value;
    }

    public override string ToString()
    {
        return Value;
    }
}